%define snap 20080711

Name:           gtkstyle
Version:        1.0.0
Release:        0.1.%{snap}snap%{?dist}
Summary:        GtkStyle allows you to have Qt applications fit seamless in your GTK based desktop

Group:          System Environment/Libraries
License:        GPLv2+
URL:            http://labs.trolltech.com/page/Projects/Styles/GtkStyle
Source0:        gtkstyle-%{snap}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  qt4-devel, qt4-x11
BuildRequires:  gtk2-devel


%description
QGtkStyle allows you to better integrate any Qt Application in your GTK interface.


%prep
%setup -q -n gtkstyle%{version}


%build
qmake-qt4
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/qt4/plugins/styles/
install -pm 0755 libgtkstyle.so $RPM_BUILD_ROOT%{_libdir}/qt4/plugins/styles/


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc
%{_libdir}/qt4/plugins/styles/libgtkstyle.so


%changelog
* Fri Jul 11 2008 kwizart < kwizart at gmail.com > - 0.2.3-1
- Initial Fedora spec

